/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {AlertRequest} from "./alertRequest";
import {TagRequest} from "./tagRequest";
import {FloorRequest} from "./floorRequest";
import {SubContractorRequest} from "./subContractorRequest";
import {WorkerRequest} from "./workerRequest";
import {FloorPlanRequest} from "./floorPlanRequest";
import {ZoneRequest} from "./zoneRequest";
import {PointFRequest} from "./pointFRequest";

export class WorkerAlertRequest {
    public projectId: string;

    public alert: AlertRequest;

    public alertLabels: string[];

    public tag: TagRequest;

    public floor: FloorRequest;

    public subContractor: SubContractorRequest;

    public worker: WorkerRequest;

    public floorPlan: FloorPlanRequest;

    public zone: ZoneRequest;

    public position: PointFRequest;

    public ticks: number;

    /**
     * Creates a WorkerAlertRequest.
     *
     * @param {string} projectId
     * @param {AlertRequest} alert
     * @param {string} alertLabels
     * @param {TagRequest} tag
     * @param {FloorRequest} floor
     * @param {SubContractorRequest} subContractor
     * @param {WorkerRequest} worker
     * @param {FloorPlanRequest} floorPlan
     * @param {ZoneRequest} zone
     * @param {PointFRequest} position
     * @param {number} ticks
     */
    constructor(projectId: string, alert: AlertRequest, alertLabels: string[], tag: TagRequest, floor: FloorRequest, subContractor: SubContractorRequest, worker: WorkerRequest, floorPlan: FloorPlanRequest, zone: ZoneRequest, position: PointFRequest, ticks: number) {
        this.projectId = projectId;
        this.alert = alert;
        this.alertLabels = alertLabels;
        this.tag = tag;
        this.floor = floor;
        this.subContractor = subContractor;
        this.worker = worker;
        this.floorPlan = floorPlan;
        this.zone = zone;
        this.position = position;
        this.ticks = ticks;
    }
}
